Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363856 - Firefox text box corruption [NEEDINFO]
Summary: Firefox text box corruption
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox
Version: 7.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 17:58 UTC by Steve Barcomb
Modified: 2017-07-12 07:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-12 07:37:21 UTC
stransky: needinfo? (sbarcomb)


Attachments (Terms of Use)
dmidecode (deleted)
2016-08-03 17:58 UTC, Steve Barcomb
no flags Details
Screenshot of the corruption (deleted)
2016-08-03 18:05 UTC, Steve Barcomb
no flags Details

Description Steve Barcomb 2016-08-03 17:58:16 UTC
Created attachment 1187153 [details]
dmidecode

Description of problem:
When typing in a text field and especially scrolling within it, graphical corruption will occur including redacting black bars, and random corruption

Version-Release number of selected component (if applicable):
45.3.0-1.el7_2

How reproducible:
Consistent

Steps to Reproduce:
1. Install any ESR release of firefox from the RHEL7 repos
2. Unsure if it is intel video card specific
3. Load a salesforce ticket and attempt to type in the text box.
4. This can also be reproduced by scrolling in kernel ring buffer text boxes on our internal retrace server

Actual results:
If enough text is typed, scrolling within the window will cause graphical corruption

Expected results:
No corruption

Additional info:
If I install the community release 48.0 from firefox.com, this appears to be resolved, but has not made it into the ESR releases

Comment 1 Steve Barcomb 2016-08-03 18:05:53 UTC
Created attachment 1187167 [details]
Screenshot of the corruption

Comment 3 Martin Stransky 2016-08-08 10:40:36 UTC
Can you please try a fresh new profile? There may be some old gfx settings involved here.

Comment 4 Steve Barcomb 2016-08-08 14:02:14 UTC
Hey Martin,
That was one of my first steps.  For what it is worth, the upstream non ESR version of firefox (currently 48.0) works with the original ~/.mozilla folder.

I have two co workers experiencing the same issue (that I know of).  One has an identical config to me.  X1 Carbon Gen3:

  00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)

The other is a lenovo T450s, it also has the same broadwell-u integerated GPU.  Hope this helps.

Comment 5 Martin Stransky 2017-06-20 10:32:14 UTC
Hi, do you still see that with Firefox 52? Thanks.


Note You need to log in before you can comment on or make changes to this bug.